Bug 38754 - Missing man pages
Summary: Missing man pages
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: iproute   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-02 14:58 UTC by Michele Baldessari
Modified: 2015-03-05 01:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-05 16:37:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
beginnings of ip(8) man page. Sigh. (5.73 KB, text/plain)
2001-07-06 20:56 UTC, Pekka Savola
no flags Details

Description Michele Baldessari 2001-05-02 14:58:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)


The iproute package has no manpages for the commands (iproute, tc)

Reproducible: Always
Steps to Reproduce:
1. rpm -ql iproute |grep man
2.
3.
	

Expected Results:  a few files at least :-)

Comment 1 Helge Deller 2001-05-25 16:53:05 UTC
Waiting for maintainer's response (Alexey Kuznetsov <kuznet@ms2.inr.ac.ru>)


Comment 2 Pekka Savola 2001-06-20 20:21:44 UTC
I've talked with Alexey on this; he has created lots of docs in *.ps form (%doc), and man pages aren't forthcoming.

I started writing man page about ip(8), but only got about 1/3 way when I realized the syntax was so complex, 
it wouldn't be of much use; better just to create a short page with pointers to 'ip help' commands and the existing
documentation.




Comment 3 Pekka Savola 2001-06-20 20:23:30 UTC
(btw, if you want what I did, just email me; I did global options, ip link, ip address and started on ip route)


Comment 4 Pekka Savola 2001-07-06 20:54:49 UTC
As mentioned in #30678, I'm attaching the beginnings of the page I was writing in 
case someone is interested.

Comment 5 Pekka Savola 2001-07-06 20:56:04 UTC
Created attachment 22909 [details]
beginnings of ip(8) man page.  Sigh.

Comment 6 Mike McLean 2002-03-04 21:48:27 UTC
Still no man page....

Considering how important this utility is, it would seem to be worth someones
time write a man page.  For that matter, how hard would it be to build a man
page from the tex source?

Comment 7 Michele Baldessari 2002-03-05 11:14:03 UTC
FYI: Over at lartc.org they made some manpages for the tc utils :

http://www.lartc.org/manpages/

Comment 8 Michael K. Johnson 2002-03-05 16:37:45 UTC
Even a man page that only said "See the reference documents:
ip reference: /usr/share/doc/iproute-2.2.4/ip-cref.ps"
etc. would be helpful.

Comment 9 Phil Knirsch 2002-03-15 00:24:03 UTC
Updated to latest stable release and added a very simple manpage.

Available via rawhide real soon now(tm).

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.